/*
 *  include/debug.h
 *
 *  Debug routine
 *
 *  Copyright (C) 2004  Phoenix Grid Computing Project
 *                      ( http://www.logos.ic.i.u-tokyo.ac.jp/phoenix/ )
 *
 *  2004-11-26  Implemented basic functions 
 *              by Kaneda Kenji
 */


#ifndef _DEBUG_H
#define _DEBUG_H


#include "common.h"

void dprint ( const char *format, ... );
void sys_failure ( const char *string );
void fatal_failure ( const char *format, ... );
int  ssl_failure ( const char *string );


#endif /* _DEBUG_H */
