/*
 *  include/comm/common.h
 *
 *  Communication subsystem 
 *
 *  Copyright (C) 2004  Phoenix Grid Computing Project
 *                      ( http://www.logos.ic.i.u-tokyo.ac.jp/phoenix/ )
 *
 *  2004-11-26  Implemented basic functions 
 *              by Kaneda Kenji
 */


#ifndef _COMM_COMMON_H
#define _COMM_COMMON_H


#include "common.h"
#include "conn.h"

struct comm_t {
	SSL_CTX			*ctx;
	struct conn_list_t	*conns;
};


#endif /* _COMM_COMMON_H */
