/*
 *  include/conn/common.h
 *
 *  Connection Management
 *
 *  Copyright (C) 2004  Phoenix Grid Computing Project
 *                      ( http://www.logos.ic.i.u-tokyo.ac.jp/phoenix/ )
 *
 *  2004-11-26  Implemented basic functions 
 *              by Kaneda Kenji
 */


#ifndef _CONN_COMMON_H
#define _CONN_COMMON_H


#include "common.h"

struct conn_t {
	int			sockfd;
	BIO			*bio;
	SSL			*ssl;
};

struct conn_list_entry_t {
	struct conn_t		 *conn;
	struct conn_list_entry_t *next;
};

struct conn_list_t {
	struct conn_list_entry_t *head;
};


#endif /* _CONN_COMMON_H */
